import React from "react";

import "./style.scss";

export const renderInput = ({
	input: { ...inputProps },
	meta: { error, touched, ...rest },
	id = "sdfafadfasd",
	label,
	type = "text",
	required
}) => (
	<label htmlFor={id} className="input-box">
		<span>
			{label} {required && <span className="input-box__required">*</span>}
		</span>
		<input
			{...inputProps}
			autoComplete="off"
			className={error && touched ? "input-box__input input-box__input--fail" : "input-box__input"}
			id={id}
			type={type}
		/>
		{error && touched && <span className="input-box__error">{error}</span>}
	</label>
);

export const renderCheckbox = ({
	input: { ...inputProps },
	meta: { error, touched, ...rest },
	id = "sdfafadfasd",
	checked,
	label,
	type,
	required
}) => (
	<label htmlFor={id} className="input-box">
		<span>
			{label} {required && <span className="input-box__required">*</span>}
		</span>
		<input id={id} {...inputProps} type={type} />
		{error && touched && <span className="input-box__error">{error}</span>}
	</label>
);
