import * as types from "../actionTypes/actionTypes";

const intialState = {
	data: [],
	error: null,
	isFetching: false,
	random: null
};

export default (state = intialState, { type, payload }) => {
	switch (type) {
		case types.REQUEST: {
			return { ...state, isFetching: true, random: payload };
		}

		case types.REQUEST_SUCCESS: {
			return { ...state, isFetching: false, data: state.data.concat(payload) };
		}

		case types.REQUEST_FAIL: {
			console.log("REQUEST_FAIL", payload);
			return { ...state, isFetching: false };
		}

		default:
			return state;
	}
};
